System Requirements

To ensure the best user experience, your computer system should be properly configured to work in CourseLink.

CourseLink may work with configurations other than those listed below, but we cannot guarantee functionality and may not be able to provide support if issues do arise.

System Check Tool

The quickest way to determine if your system is compatible with CourseLink is to run the Desire2Learn System Check Tool.

This tool may indicate that your Internet browser is not valid if you are using a recently released (new) version- for an explanation of this, read A note about Internet browsers at the bottom of the page.

System and software requirements

Component Required Recommended
Operating System Windows 98, 98SE, ME, 2000, XP, Vista, 7
Mac OS X
Windows XP Service Pack 2
Video SVGA monitor
Minimum resolution of 800x600
Resolution of 1024x768 or greater
Internet Connection 56K modem High Speed (cable, LAN, DSL, etc.)
Sun Java Runtime Environment (JRE) JRE v1.4.2.x, 1.5.x, 1.6.x JRE 1.6 Update 13
JavaScript Enabled Enabled
Cookies Enabled Enabled

Browser requirements

Internet browsers are classified into one of the following categories:

Supported

  • browser and operating system combination is fully tested

Investigation

  • newer browser which is under consideration for being supported, but has not yet been fully tested

Maintenance

  • older browser which is being depreciated and is no longer tested against new versions of the system

Unsupported

  • browser is not tested against the system and there is no support for it
Browser Windows Mac OS X
Chrome Unsupported Unsupported
Firefox 2 and below Unsupported Unsupported
Firefox 3.0 Maintenance Maintenance
Firefox 3.5 Supported Supported
Firefox 3.6 Supported (recommended) Supported (recommended)
Firefox 4.0 Investigation Investigation
Internet Explorer 6 and below Unsupported Unsupported
Internet Explorer 7 Supported Unsupported
Internet Explorer 8 Supported (recommended) Unsupported
Internet Explorer 9 Investigation Unsupported
Safari 3.0 and below Unsupported Unsupported
Safari 3.1 Unsupported Supported
Safari 4.0 Unsupported Supported
Safari 5.0 Unsupported Supported

A note about Internet browsers

In the current Internet landscape, there are now several different browsers which have a significant user base (Internet Explorer, Firefox, Safari, Chrome and others). None of these browsers fully conform to any universal standard and as such web pages may display in slightly different ways depending on what browser is used.

Additionally, new browser versions get released at a quicker pace than new versions of CourseLink. It is only after a new version of a browser is released that issues with CourseLink can be discovered, analyzed and fixed. When a new version of a browser is released, do not assume that it will immediately work perfectly with CourseLink. It can take a significant amount of time to fully verify that a browser works with CourseLink. Please note that this is true of not only CourseLink, but web pages/applications in general (e.g. GryphMail).

CourseLink

Day Hall,
University of Guelph
50 Stone Rd. East
Guelph, Ontario, N1G 2W1
Canada
519-824-4120 x52530
courselink@uoguelph.ca